//+------------------------------------------------------------------+
//|                                                        2_RSI.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_minimum 0.0
#property indicator_maximum 100.0
#property indicator_buffers 2
#property indicator_level1 70
#property indicator_level2 50
#property indicator_level3 30

  
      

extern string PAR_1 = "EURUSD";
extern string PAR_2 = "GBPUSD";

extern color Color_1=Red;
extern color Color_2=Blue;

extern int per = 14;
extern int PR = 0;

extern int hist =1000;
 
double RSI_1[],RSI_2[];


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+

//----
   int init()
  {
 string short_name;
 short_name="RSI("+per+")"+PAR_1+" "+PAR_2+"";
   IndicatorShortName(short_name);
   IndicatorBuffers(2);
  SetIndexStyle(0, DRAW_LINE,3,2,Color_1);
     SetIndexStyle(1,DRAW_LINE,3,2,Color_2);  
     
     SetIndexLabel (0, PAR_1);
     SetIndexLabel (1, PAR_2);
     
      SetIndexBuffer(0, RSI_1);
    SetIndexBuffer(1, RSI_2);
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_LABEL); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----



   int i, limit, counted_bars=IndicatorCounted();   
   
   
   
   
   
  if(counted_bars < 0) 
      return(-1);
   if(counted_bars > 0) 
      counted_bars--;
   
   limit = Bars - counted_bars;
   
   if(hist > 0) 
      limit = hist;

   for (i = limit; i>0; i--)
   {  
   
   RSI_1[i]=iRSI(PAR_1,0,per,PR,i);
   RSI_2[i]=iRSI(PAR_2,0,per,PR,i);
   
  
 
 
  
  
 
 
 }  
  
//----
   return(0);
  }
//+------------------------------------------------------------------+